FROM openshift/golang-builder:1.12 AS builder
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=5 OS_GIT_VERSION=4.3.5-202003020549-ca11e64 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=ca11e642bfe8fe62688a04565f2fd3195c210344 SOURCE_GIT_TAG=ca11e64 SOURCE_GIT_URL=https://github.com/openshift/cluster-dns-operator SOURCE_DATE_EPOCH=1582177120 OS_GIT_COMMIT=ca11e64 BUILD_VERSION=v4.3.5 BUILD_RELEASE=202003020549
WORKDIR /dns-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.3.5.20200302.063651
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=5 OS_GIT_VERSION=4.3.5-202003020549-ca11e64 OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=ca11e642bfe8fe62688a04565f2fd3195c210344 SOURCE_GIT_TAG=ca11e64 SOURCE_GIT_URL=https://github.com/openshift/cluster-dns-operator SOURCE_DATE_EPOCH=1582177120 OS_GIT_COMMIT=ca11e64 BUILD_VERSION=v4.3.5 BUILD_RELEASE=202003020549
COPY --from=builder /dns-operator/dns-operator /usr/bin/
COPY manifests /manifests
RUN useradd dns-operator
USER dns-operator
ENTRYPOINT ["/usr/bin/dns-operator"]

LABEL \
        io.openshift.release.operator="true" \
        io.k8s.display-name="OpenShift dns-operator" \
        io.k8s.description="This is a component of OpenShift and manages the lifecycle of cluster DNS services." \
        maintainer="Dan Mace <dmace@redhat.com>" \
        name="openshift/ose-cluster-dns-operator" \
        com.redhat.component="ose-cluster-dns-operator-container" \
        version="v4.3.5" \
        release="202003020549" \
        io.openshift.build.commit.id="ca11e642bfe8fe62688a04565f2fd3195c210344" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-dns-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-dns-operator/commit/ca11e642bfe8fe62688a04565f2fd3195c210344"

